﻿
$ErrorActionPreference = 'Stop'; # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.microsoft.com/download/9/5/A/95A27630-B4AE-4F67-B2FA-68165F047CC8/EN/x86/DacFramework.msi' 
$url64      = 'https://download.microsoft.com/download/9/5/A/95A27630-B4AE-4F67-B2FA-68165F047CC8/EN/x64/DacFramework.msi' 
$packageArgs = @{
  packageName   = 'sql2016-dacframework'
  unzipLocation = $toolsDir
  fileType      = 'MSI' #only one of these: exe, msi, msu
  url           = $url
  url64bit      = $url64

  softwareName  = 'Microsoft® SQL Server® Data-Tier Application Framework (17.1 DacFx)' 
  
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" 
  validExitCodes= @(0, 3010, 1641)
}
Install-ChocolateyPackage @packageArgs # https://chocolatey.org/docs/helpers-install-chocolatey-package
